=== 3rdparty/CMakeLists.txt ===
if(NOT ZLIB_FOUND)
    add_subdirectory(zlib)
endif()
if(WITH_JASPER AND NOT JASPER_FOUND)
    add_subdirectory(libjasper)
endif()
if(WITH_JPEG AND NOT JPEG_FOUND)
    add_subdirectory(libjpeg)
endif()
if(WITH_PNG AND NOT PNG_FOUND)
    add_subdirectory(libpng)
endif()
if(WITH_TIFF AND NOT TIFF_FOUND)
    add_subdirectory(libtiff)
endif()
if(WIN32)
    add_subdirectory(ffmpeg)
endif()
