=== modules/CMakeLists.txt ===
if(ANDROID)
  ADD_DEFINITIONS(-DGTEST_HAS_STD_WSTRING=0)
  if(ANDROID_API_LEVEL LESS 8)
    ADD_DEFINITIONS(-DGTEST_HAS_CLONE=0)
  endif()
  
  IF(WITH_ANDROID_CAMERA)
      add_subdirectory(androidcamera)
  endif()
endif()

add_subdirectory(calib3d)
add_subdirectory(core)
add_subdirectory(features2d)
add_subdirectory(flann)

if(BUILD_TESTS)
  add_subdirectory(ts)
endif()
add_subdirectory(highgui)
add_subdirectory(imgproc)
add_subdirectory(legacy)
add_subdirectory(contrib)
add_subdirectory(ml)
add_subdirectory(objdetect)

if(PYTHONLIBS_FOUND AND BUILD_NEW_PYTHON_SUPPORT AND PYTHON_USE_NUMPY)
  add_subdirectory(python)
endif()

if(BUILD_JAVA_SUPPORT)
  add_subdirectory(java)
endif()

add_subdirectory(video)
add_subdirectory(traincascade)
add_subdirectory(haartraining)

if(NOT ANDROID)
  add_subdirectory(gpu)
  add_subdirectory(stitching)
endif()
