=== debian/changelog ===
opencv (2.3.1-7) unstable; urgency=low

  * Update debian/libopencv-core-dev.install.
    - Change install path of OpenCVConfig.cmake from usr/share/opencv/ 
      to usr/share/OpenCV. (Closes: #658196)
    - usr/share/OpenCV/OpenCVConfig-version.cmake was added to the 
      installation file of libopencv-core-dev.
  * Add debian/*-dev.docs. 
    This provides README.Debian with *-dev packages. 

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 02 Feb 2012 02:39:05 +0900

opencv (2.3.1-6) unstable; urgency=low

  * Fix installation of usr/include/opencv2/opencv.hpp. (Closes: #656860)
    Update debian/libopencv-core-dev.install.
  * Remove old build flags and add optimize flag for amd64.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 31 Jan 2012 08:08:00 +0900

opencv (2.3.1-5) unstable; urgency=low

  * Fix FTBFS with libav 0.8. (Closes: #654220)
    Add patches/0014_fix_ftbfs_libav0.8.patch.
  * Update debian/control.
    Add python-sphinx to Build-Depends.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 27 Jan 2012 05:36:29 +0900

opencv (2.3.1-4) unstable; urgency=low

  * Update patches/0013_drop_asm_types_h_kfreebsd.patch.
    Drop <asm/types.h>, not <sys/types.h>.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 21 Dec 2011 17:01:12 +0900

opencv (2.3.1-3) unstable; urgency=low

  * Update debian/README.Debian.
  * Update debian/control.
    - Update Depends package for libopencv-dev.
  * Fix build on kfreeBSD. (Closes: #651872)
    Update patches/0013_drop_asm_types_h_kfreebsd.patch.
    Thanks to Julien Cristau.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 21 Dec 2011 12:02:10 +0900

opencv (2.3.1-2) unstable; urgency=low

  * Update debian/control.
    - Adjusted version for Replaces and Breaks of libopencv-core-dev.
      (Closes: #651988). Thanks to Ansgar Burchardt.
  * Fix build on kfreeBSD. (Closes: #651872)
    Add patches/0013_drop_asm_types_h_kfreebsd.patch.
    Thanks to Julien Cristau.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 20 Dec 2011 17:10:11 +0900

opencv (2.3.1-1) unstable; urgency=low

  * Upload to unstable.
  * Update debian/control.
    Switch Build-Depends from libong62-dev to libpng-dev.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 12 Dec 2011 12:06:57 +0900

opencv (2.3.1-0exp1) experimental; urgency=low

  * New upstream release.
  * Update debian/control.
    - Fix uses hardcoded list of non-Linux architectures in debian/control.
      (Closes: #634365)
  * Add lintian overrides files.
  * Update install files.
  * Update and remove some patches.
    - Update patches/0005-build-static-libs.patch.
    - Update patches/0007-typos-in-strings-docs.patch.
    - Update patches/0011_optimize_i486.patch.
    - Remove patches/0001-fix_3rdparty_build.patch.
    - Remove patches/0006-typos-in-license.patch.
    - Remove patches/0012_cvcap_ffmpeg_fix_compile_against_libav0.7.patch.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 25 Aug 2011 12:04:49 +0900

opencv (2.3.0-0exp4) experimental; urgency=low

  * Fix FTBFS with libav 0.7. (Closes: #634818)
    Add patches/vcap_ffmpeg_fix_compile_against_libav0.7.patch.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 27 Jul 2011 01:51:25 +0900

opencv (2.3.0-0exp3) experimental; urgency=low

  * Add libopencv-dev package.
    This is a meta package providing development package necessary for
    development of OpenCV (Open Computer Vision).

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 15 Jul 2011 02:46:05 +0900

opencv (2.3.0-0exp2) experimental; urgency=low

  * Update debian/control
    - Switch Build-Depends from libjpeg62-dev to libjpeg-dev for libjpeg8
      transition.
    - Add zlib1g-dev Build-Depends of libopencv-core-dev.
    - Add some development package to Build-Depends of libopencv-highgui-dev.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 12 Jul 2011 08:54:37 +0900

opencv (2.3.0-0exp1) experimental; urgency=low

  * New upstream release.
    - Update install files.
    - Update some patches for 2.3.
	  patches/0005-build-static-libs.patch
      patches/0001-fix_3rdparty_build.patch
      patches/0011_optimize_i486.patch
    - Remove some patches revised in upstream.
      patches/0002-fix_build_pdf.patch patches/0003-hurd.patch
      patches/0004-fix_stdint_gcc45.patch patches/0009_support_v4lv2_only.patch
	  patches/0008_fix_ftbfs_with_gcc-4.6.patch patches/0010_fix_ftbs_png15.patch
  * Update debian/control.
    - Update depends of packages.
  * Update debian/rules.
    - Update path of hdr_parser.pyc from modules/python to
      modules/python/src2.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 06 Jul 2011 09:47:09 +0900

opencv (2.2.0-0exp2) experimental; urgency=low

  * Add libopencv-contrib-dev to Depends of libcvaux-dev (Closes: #632439).
    Thanks to Mark Purcell.
  * Arranged the dependence.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 05 Jul 2011 13:30:06 +0900

opencv (2.2.0-0exp1) experimental; urgency=low

  * New upstream release. (Closes: #623532, #563428, #604642)
    - Update, refresh and prune debian/patches.
    - Account for upstream splitting/renaming libs:
      + generate N dynamic library packages.
      + name all library package as libopencv-*.
    - Update debian/copyright.
    - Remove debian/README.source.
    - Update debian/*.install scripts.
    - Update lintian overrides.
    - Add libv4l-dev to Build-Depends.
  * Bump to dh 8.
  * Switch to source format 3.0 (quilt).
  * Patch minor upstream typos.
  * Fix formatting in debian/man/opencv_traincascade.1.
  * Bumped standards-version to 3.9.2.  No changes needed.
  * Update debian repository pointers for new alioth hosts.
  * Add support openexr.
  * Move usr/share/opencv/haarcascades and usr/share/opencv/lbpcascades
    to libopencv-core-dev (Closes: #598356).
  * Fix build using gcc-4.6 (Closes: #624917).
    - Add patches/0008_fix_ftbfs_with_gcc-4.6.patch.
  * Fix build without v4l1 (Closes: #623418).
    - Add patches/0009_support_v4lv2_only.patch.

