=== debian/control ===
Source: opencv
Priority: optional
Section: devel
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Sam Hocevar (Debian packages) <sam+deb@zoy.org>, Nobuhiro Iwamatsu <iwamatsu@debian.org>
Build-Depends: debhelper (>= 8),
 quilt (>= 0.46-7~),
 cmake,
 libavcodec-dev, libavformat-dev, libswscale-dev, libgtk2.0-dev,
 libjasper-dev (>= 1.900.1),
 libjpeg-dev,
 libpng-dev,
 libtiff4-dev (>= 3.9.4),
 libopenexr-dev (>= 1.4.0),
 libraw1394-dev [linux-any],
 libdc1394-22-dev [linux-any],
 libv4l-dev [linux-any],
 zlib1g-dev (>= 1.2.5),
 liblapack-dev (>= 3.2.1),
 python-dev, swig,
 python-support (>= 0.4.1),
 python-numpy,
 python-sphinx,
 texlive-fonts-extra, texlive-latex-extra, texlive-latex-recommended,
 latex-xcolor, texlive-fonts-recommended
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/opencv/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/opencv/trunk/
Homepage: http://opencvlibrary.sourceforge.net/

Package: opencv-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Conflicts: libopencv-doc
Replaces: libopencv-doc
Description: OpenCV documentation and examples
 This package contains the OpenCV documentation and example programs.
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: libcv-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
	pkg-config,
	libopencv-core-dev,
	libopencv-imgproc-dev,
	libopencv-flann-dev,
	libopencv-features2d-dev,
	libopencv-calib3d-dev,
	libopencv-objdetect-dev,
	libopencv-legacy-dev,
	libopencv-video-dev,
	libopencv-ml-dev
Conflicts: libcvaux-dev (<= 2.1.0-7), libhighgui-dev (<= 2.1.0-7)
Description: Translation package for libcv-dev
 This package provide files for translation from libcv-dev to
 subdivided packages.
 .
 This package contains the header files and static library needed to compile
 applications that use OpenCV (Open Computer Vision).
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: libcv2.3
Architecture: all
Depends: ${misc:Depends},
	libopencv-core2.3,
	libopencv-imgproc2.3,
	libopencv-flann2.3,
	libopencv-features2d2.3,
	libopencv-calib3d2.3,
	libopencv-objdetect2.3,
	libopencv-legacy2.3,
	libopencv-video2.3,
	libopencv-ml2.3
Description: computer vision library - libcv* translation package
 This package provide files for translation from libcv2.1 to libcv2.3.
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: libhighgui-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
	pkg-config,
	libopencv-highgui-dev
Description: Translation package for libhighgui-dev
 This package provide files for translation from libhighgui-dev to
 subdivided packages.
 .
 This package contains the header files and static library needed to compile
 applications that use OpenCV (Open Computer Vision).
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: libhighgui2.3
Architecture: all
Depends: ${misc:Depends},
	libopencv-highgui2.3
Description: computer vision library - libhighgui translation package
 This package provide files for translation from libhighgui2.1 to libhighgui2.3.
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: libcvaux-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
	pkg-config,
	libopencv-core-dev,
	libopencv-imgproc-dev,
	libopencv-features2d-dev,
	libopencv-calib3d-dev,
	libopencv-objdetect-dev,
	libopencv-legacy-dev,
	libopencv-video-dev,
	libopencv-contrib-dev
Description: Translation package for libcvaux-dev
 This package provide files for translation from libcvaux-dev to
 subdivided packages.
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: libcvaux2.3
Architecture: all
Depends: ${misc:Depends},
	libopencv-core2.3,
	libopencv-imgproc2.3,
	libopencv-features2d2.3,
	libopencv-calib3d2.3,
	libopencv-objdetect2.3,
	libopencv-legacy2.3,
	libopencv-video2.3
Description: computer vision library - libcvaux translation package
 This package provide files for translation from libcvaux2.1 to libcvaux2.3.
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: libopencv-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
	libopencv-core-dev (= ${binary:Version}),
	libopencv-ml-dev (= ${binary:Version}),
	libopencv-imgproc-dev (= ${binary:Version}),
	libopencv-video-dev (= ${binary:Version}),
	libopencv-objdetect-dev (= ${binary:Version}),
	libopencv-gpu-dev (= ${binary:Version}),
	libopencv-highgui-dev (= ${binary:Version}),
	libopencv-calib3d-dev (= ${binary:Version}),
	libopencv-flann-dev (= ${binary:Version}),
	libopencv-features2d-dev (= ${binary:Version}),
	libopencv-legacy-dev (= ${binary:Version}),
	libopencv-contrib-dev (= ${binary:Version}),
	pkg-config
Description: development files for opencv
 This is a meta package providing development package necessary for
 development of OpenCV (Open Computer Vision).
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: libopencv-core-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libopencv-core2.3 (= ${binary:Version}),
	zlib1g-dev ,pkg-config
Replaces: libcv-dev (<< 2.3.1-1)
Breaks: libcv-dev (<< 2.3.1-1)
Description: development files for libopencv-core
 This package contains the header files and static library needed to compile
 applications that use OpenCV (Open Computer Vision) core.
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: libopencv-core2.3
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: computer vision core library
 This package contains the OpenCV (Open Computer Vision) core runtime libraries.
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.

Package: libopencv-ml-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
		libopencv-core-dev (= ${binary:Version}),
		libopencv-ml2.3 (= ${binary:Version}),
		pkg-config
Description: development files for libopencv-ml
 This package contains the header files and static library needed to compile
 applications that use OpenCV (Open Computer Vision) Machine Learning library.
 .
 The Open Computer Vision Library is a collection of algorithms and sample
 code for various computer vision problems. The library is compatible with
 IPL (Intel's Image Processing Library) and, if available, can use IPP
 (Intel's Integrated Performance Primitives) for better performance.
 .
 OpenCV provides low level portable data types and operators, and a set
 of high level functionalities for video acquisition, image processing and
 analysis, structural analysis, motion analysis and object tracking, object
 recognition, camera calibration and 3D reconstruction.
