=== debian/watch ===
version=3
http://sf.net/opencvlibrary/(?i:opencv)-([\d.]+)\.tar\.bz2
